aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAnna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>2022-11-25 22:54:44 +0500
committerAnna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>2022-11-25 22:54:44 +0500
commitb54ed838ce8548a24d20c7192ae36747ff78de66 (patch)
tree6b77814292f9b9d712ef08e8530ec9f01dfc37f2 /eclass
parentdotnet-utils.eclass: use array for src_compile args (diff)
downloadguru-b54ed838ce8548a24d20c7192ae36747ff78de66.tar.gz
guru-b54ed838ce8548a24d20c7192ae36747ff78de66.tar.bz2
guru-b54ed838ce8548a24d20c7192ae36747ff78de66.zip
Revert "dotnet-utils.eclass: depend on virtual"
This reverts commit 13541aa6d02056b862fa4960b9e98c0f8a2e1408. Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/dotnet-utils.eclass3
1 files changed, 2 insertions, 1 deletions
diff --git a/eclass/dotnet-utils.eclass b/eclass/dotnet-utils.eclass
index d035a95da..be3953b89 100644
--- a/eclass/dotnet-utils.eclass
+++ b/eclass/dotnet-utils.eclass
@@ -29,7 +29,8 @@ if [[ ! ${DOTNET_SLOT} ]]; then
die "${ECLASS}: DOTNET_SLOT not set"
fi
-BDEPEND="virtual/dotnet-sdk:${DOTNET_SLOT}"
+# Temporary, use the virtual once you can have multiple virtuals installed at once
+BDEPEND+=" || ( dev-dotnet/dotnet-sdk:${DOTNET_SLOT} dev-dotnet/dotnet-sdk-bin:${DOTNET_SLOT} )"
# @ECLASS_VARIABLE: DOTNET_EXECUTABLE
# @DEFAULT_UNSET